Wallets
A Wallet is a representation of a consumer application.
Wallet Model
Attributes
id
stringname
stringaccountId
stringconnectUrl
stringpayUrl
stringlogoMediaUploadId
stringprimaryColorHex
stringassetTypes
array
Asset Types Model
Attributes
id
stringrequiredcollectionId
string
Create Wallet experimental
This endpoint allows you to create a Wallet.
Attributes
id
stringrequiredname
stringrequiredaccountId
stringrequiredconnectUrl
stringpayUrl
stringlogoMediaUploadId
stringprimaryColorHex
stringassetTypes
arrayrequired
curl -X POST https://service.centrapay.com/api/wallets \-H 'content-type: application/json' \-H 'x-api-key: <TOKEN>' \-d '{ "id": "payap", "name": "Payap", "accountId": "abc123", "connectionId": "https://app.payap.com/join", "payUrl": "https://app.payap.com/pay", "logoMediaUploadId": "abcd", "primaryColorHex": "#abc123", "assetTypes": [ { "id": "quartz.nzd" }, { "id": "centrapay.token", "collectionId": "98h1d312" }, { "id": "centrapay.token", "collectionId": "ca9h0221sacw" } ]}'{ "id": "payap", "createdBy": "crn:WIj211vFs9cNACwBb04vQw:api-key:MyApiKey", "createdByAccountName": "Payap", "createdAt": "2020-05-01T12:30:00.000Z", "status": "active", "url": "https://app.payap.com/join", "merchantId": "abc123", "logoMediaUploadId": "abcd", "logoImg": "imgLink", "primaryColorHex": "#abc123", "assetTypes": [ { "id": "quartz.nzd" }, { "id": "centrapay.token", "collectionId": "98h1d312" }, { "id": "centrapay.token", "collectionId": "ca9h0221sacw" } ]}List Supported Wallets for Merchant experimental
This endpoint allows you to retrieve a list of Wallets that a merchant supports. Wallets are filtered to match the merchant's supported assets.
Attributes
merchantId
stringrequired
curl -X GET https://service.centrapay.com/api/merchants/MhocUmpxxmgdHjr7DgKoKw/supported-wallets \-H 'content-type: application/json' \-H 'x-api-key: <TOKEN>'[ { "id": "1234", "name": "payap", "accountId": "abc123", "connectUrl": "https://app.payap.com/join", "payUrl": "https://app.payap.com/pay", "assetTypes": [ { "id": "quartz.nzd" }, { "id": "centrapay.token", "collectionId": "98h1d312" } ] }]